cascading.util

## Class LogUtil

- java.lang.Object
- - cascading.util.LogUtil

-     public class LogUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `logCounters(org.slf4j.Logger logger, java.lang.String message, FlowProcess flowProcess)`
    `static void` | `logMemory(org.slf4j.Logger logger, java.lang.String message)`
    `static void` | `setLog4jLevel(java.lang.String[] logger)`
    `static java.lang.String[]` | `setLog4jLevel(java.lang.String[] contexts, java.lang.String level)`
    `static java.lang.String[]` | `setLog4jLevel(java.lang.String[] contexts, java.lang.String[] levels)`
    `static java.lang.String` | `setLog4jLevel(java.lang.String logger, java.lang.String level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogUtil

          public LogUtil()

  - ### Method Detail

    - #### setLog4jLevel

          public static java.lang.String[] setLog4jLevel(java.lang.String[] contexts,
                                         java.lang.String level)

    - #### setLog4jLevel

          public static java.lang.String[] setLog4jLevel(java.lang.String[] contexts,
                                         java.lang.String[] levels)

    - #### setLog4jLevel

          public static void setLog4jLevel(java.lang.String[] logger)

    - #### setLog4jLevel

          public static java.lang.String setLog4jLevel(java.lang.String logger,
                                       java.lang.String level)

    - #### logMemory

          public static void logMemory(org.slf4j.Logger logger,
                       java.lang.String message)

    - #### logCounters

          public static void logCounters(org.slf4j.Logger logger,
                         java.lang.String message,
                         FlowProcess flowProcess)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.